Cherche testeurs pour V 2.2.19-b1 NON officielle

Note de ce sujet :
  • Moyenne : 3 (2 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
#51
Citation :Lorsque j'appelle le PHAR installer (example.com/phar_installer/index.php), je n'obtiens que le message d'erreur CMSMS :
Pour installer avec le fichier xxx-install.expanded.zip
Il faut décompacter, il y a un dossier /installer/
donc lancer example.com/installer/index.php

Pour info en mail privé les nouveaux liens
J-C Etiemble v 2.2.xx
Répondre
#51
Citation :Lorsque j'appelle le PHAR installer (example.com/phar_installer/index.php), je n'obtiens que le message d'erreur CMSMS :
Pour installer avec le fichier xxx-install.expanded.zip
Il faut décompacter, il y a un dossier /installer/
donc lancer example.com/installer/index.php

Pour info en mail privé les nouveaux liens
J-C Etiemble v 2.2.xx
Répondre
#52
les progrès continue pour le développement ce cette version pleinement compatible PHP 8.3 avec des corrections sur FilePicker (correction de bug)
J-C Etiemble v 2.2.xx
Répondre
#52
les progrès continue pour le développement ce cette version pleinement compatible PHP 8.3 avec des corrections sur FilePicker (correction de bug)
J-C Etiemble v 2.2.xx
Répondre
#53
C'est quoi l'idée au final ? Faire un fork ?
Ouik - communication . outils numériques . design graphique
Répondre
#53
C'est quoi l'idée au final ? Faire un fork ?
Ouik - communication . outils numériques . design graphique
Répondre
#54
Citation :C'est quoi l'idée au final ? Faire un fork ?
Je ne pense pas du tout à cela, je ne fais que du test et j'encourage à tester, (c'est un peu une alerte pour réveiller ceux qui s’endorment ou ... )
- Car c'est une version qui a au moins 1 an d'avance ...
sur la vitesse de développement actuel de la 2.2.19 (vue l’avancement du SVN ... dernier commit du 08/10/2023 et pas grand-chose depuis la 2.2.18 ...)
si des membres de la TEAM ont testé ils ont dû voir des différences !

la version proposée :
- Compatible PHP 8.3 (actuellement la 2.2.18 est a peine compatible PHP 8.1)
- avec Smarty 4.3.4
- MicroTiny basée sur TinyMCE 4.9.11
- …. et bien d’autres choses
- depuis le 21/07/2023 début de cette discussion il y a eu de nombreuses améliorations.
Si je compte le nombre de commits... la comparaison avec le dev CMSMS ne peut pas se faire Wink

Maintenant je n’ai pas d’information sur ce que propose la TEAM, pas d’information(s) future(s) ..
pas de communication à part 2 images du DevMoot 2023
Moi je souhaite que ça avance et que notre CMS soit compatible PHP/Smarty ...
J’ai toujours dit ce que je pensais et ce n’est pas maintenant que je vais changer.
J-C Etiemble v 2.2.xx
Répondre
#54
Citation :C'est quoi l'idée au final ? Faire un fork ?
Je ne pense pas du tout à cela, je ne fais que du test et j'encourage à tester, (c'est un peu une alerte pour réveiller ceux qui s’endorment ou ... )
- Car c'est une version qui a au moins 1 an d'avance ...
sur la vitesse de développement actuel de la 2.2.19 (vue l’avancement du SVN ... dernier commit du 08/10/2023 et pas grand-chose depuis la 2.2.18 ...)
si des membres de la TEAM ont testé ils ont dû voir des différences !

la version proposée :
- Compatible PHP 8.3 (actuellement la 2.2.18 est a peine compatible PHP 8.1)
- avec Smarty 4.3.4
- MicroTiny basée sur TinyMCE 4.9.11
- …. et bien d’autres choses
- depuis le 21/07/2023 début de cette discussion il y a eu de nombreuses améliorations.
Si je compte le nombre de commits... la comparaison avec le dev CMSMS ne peut pas se faire Wink

Maintenant je n’ai pas d’information sur ce que propose la TEAM, pas d’information(s) future(s) ..
pas de communication à part 2 images du DevMoot 2023
Moi je souhaite que ça avance et que notre CMS soit compatible PHP/Smarty ...
J’ai toujours dit ce que je pensais et ce n’est pas maintenant que je vais changer.
J-C Etiemble v 2.2.xx
Répondre
#55
(29/10/2023, 11:44:02)jce76350 a écrit : - MicroTiny basée sur  TinyMCE 4.9.11

Cela fonctionne très bien. J'utilise cette version directement 1:1 dans mon installation 2.2.18.
Répondre
#55
(29/10/2023, 11:44:02)jce76350 a écrit : - MicroTiny basée sur  TinyMCE 4.9.11

Cela fonctionne très bien. J'utilise cette version directement 1:1 dans mon installation 2.2.18.
Répondre
#56
@ creopard
Citation :MicroTiny basée sur TinyMCE 4.9.11 ...Cela fonctionne très bien. J'utilise cette version directement 1:1 dans mon installation 2.2.18.
Oui mais la réponse va être la même que sur le Forum En c'est pas vérifié par la team Wink
J-C Etiemble v 2.2.xx
Répondre
#56
@ creopard
Citation :MicroTiny basée sur TinyMCE 4.9.11 ...Cela fonctionne très bien. J'utilise cette version directement 1:1 dans mon installation 2.2.18.
Oui mais la réponse va être la même que sur le Forum En c'est pas vérifié par la team Wink
J-C Etiemble v 2.2.xx
Répondre
#57
Des nouvelles : une version de MicroTiny basée sur la version TinyMCE Community 5.10.8 (2023-10-19) est en cours de finalisation et,
une autre version TinyMCE Community 6.7.x pourrait prendre la suite si les tests sont OK.
Il faut donc noter que cette version serait en avance de plusieurs longueurs sur le développement officiel en cours ... Smile

Pour information les modules CMSms
- le module du core 2.2.18 : MicroTiny (v 2.2.5) est TinyMCE 4.6.4 (2017-06-13)
- le module externe TinyMCE (V 3.3.2 du 28/05/22020) est avec TinyMCE 5.3.1 (2020-05-27)
J-C Etiemble v 2.2.xx
Répondre
#57
Des nouvelles : une version de MicroTiny basée sur la version TinyMCE Community 5.10.8 (2023-10-19) est en cours de finalisation et,
une autre version TinyMCE Community 6.7.x pourrait prendre la suite si les tests sont OK.
Il faut donc noter que cette version serait en avance de plusieurs longueurs sur le développement officiel en cours ... Smile

Pour information les modules CMSms
- le module du core 2.2.18 : MicroTiny (v 2.2.5) est TinyMCE 4.6.4 (2017-06-13)
- le module externe TinyMCE (V 3.3.2 du 28/05/22020) est avec TinyMCE 5.3.1 (2020-05-27)
J-C Etiemble v 2.2.xx
Répondre
#58
La version de MicroTiny basée sur la version TinyMCE Community 5.10.8 est OK et fonctionne super bien.
=> Donc a suivre la nouvelle version avec TinyMCE Community 6.7.2 ou 6.7.3
! Toujours avec plusieurs longueurs d'avance ... Wink
J-C Etiemble v 2.2.xx
Répondre
#58
La version de MicroTiny basée sur la version TinyMCE Community 5.10.8 est OK et fonctionne super bien.
=> Donc a suivre la nouvelle version avec TinyMCE Community 6.7.2 ou 6.7.3
! Toujours avec plusieurs longueurs d'avance ... Wink
J-C Etiemble v 2.2.xx
Répondre
#59
2 dernières nouvelles
- MicroTiny : nouvelle version avec TinyMCE Community 6.7.3
- PHPMailer passe en 6.8.1 avec les modifications PHP 8.3.x
! Toujours avec plusieurs longueurs d'avance ...
Tests ouverts et retours bienvenus
J-C Etiemble v 2.2.xx
Répondre
#59
2 dernières nouvelles
- MicroTiny : nouvelle version avec TinyMCE Community 6.7.3
- PHPMailer passe en 6.8.1 avec les modifications PHP 8.3.x
! Toujours avec plusieurs longueurs d'avance ...
Tests ouverts et retours bienvenus
J-C Etiemble v 2.2.xx
Répondre
#60
La mise à niveau vers TinyMCE Community 6.7.3 fonctionne en partie.
J'ai une page de test avec V2.2.19b, où TinyMCE 6 fonctionne "out of the box" (ici, le FilePicker est aussi déjà mis à jour à la version 1.0.7).

Sur mon autre site avec V2.2.18 (officiel), j'ai voulu remplacer le répertoire modules\MicroTiny par la nouvelle version.
(Actuellement, j'utilise TinyMCE 4, qui fonctionne très bien).

Si je remplace maintenant le répertoire modules\MicroTiny par TinyMCE 6, CMSMS se plaint que la dépendance "FilePicker Version 1.0.7" manque. En fait, j'ai ici "FilePicker version 1.0.6".
Si je remplace également le répertoire modules\NFilePicker, je n'obtiens plus qu'une erreur PHP :
Code :
[21-Nov-2023 16:40:46 Europe/Berlin] PHP Fatal error :  Could not check compatibility between FilePicker::get_html($name, $value, FilePicker\Profile $profile, $required = false) and CMSMS\FilePickerInterface::get_html($name, $value, CMSMS\FilePickerProfile $profile), because class FilePicker\Profile is not available in /home/public_html/modules/FilePicker/FilePicker.module.php on line 186


Si j'ignore le FilePicker et continue à utiliser la version 1.0.6, TinyMCE ne fonctionne pas et affiche l'erreur suivante dans la console du navigateur :
Code :
Uncaught TypeError : editor.addMenuItem is not a function
    setup https://www.domain.de/tmp/cache/mt_86a5b58a0d02051e5391ef315f38e5e8.js:82


La ligne 82f dit ceci :
Code :
    setup : function(éditeur) {
        editor.addMenuItem('mailto',{
          text : cmsms_tiny.prompt_insertmailto,
          cmd : 'mailto',
          context : 'insert',
        })

si je comprends bien, "editor.addMenuItem" ne devrait plus être créé du tout, n'est-ce pas ?
Mais je ne sais pas où je peux le "désactiver".

Et comment puis-je mettre à jour vers Filepicker version 1.0.7 ?

Je viens de constater que le même phénomène se produit lorsque je passe de "TinyMCE 4.9.11" à "TinyMCE 5.10.9".
Répondre
#60
La mise à niveau vers TinyMCE Community 6.7.3 fonctionne en partie.
J'ai une page de test avec V2.2.19b, où TinyMCE 6 fonctionne "out of the box" (ici, le FilePicker est aussi déjà mis à jour à la version 1.0.7).

Sur mon autre site avec V2.2.18 (officiel), j'ai voulu remplacer le répertoire modules\MicroTiny par la nouvelle version.
(Actuellement, j'utilise TinyMCE 4, qui fonctionne très bien).

Si je remplace maintenant le répertoire modules\MicroTiny par TinyMCE 6, CMSMS se plaint que la dépendance "FilePicker Version 1.0.7" manque. En fait, j'ai ici "FilePicker version 1.0.6".
Si je remplace également le répertoire modules\NFilePicker, je n'obtiens plus qu'une erreur PHP :
Code :
[21-Nov-2023 16:40:46 Europe/Berlin] PHP Fatal error :  Could not check compatibility between FilePicker::get_html($name, $value, FilePicker\Profile $profile, $required = false) and CMSMS\FilePickerInterface::get_html($name, $value, CMSMS\FilePickerProfile $profile), because class FilePicker\Profile is not available in /home/public_html/modules/FilePicker/FilePicker.module.php on line 186


Si j'ignore le FilePicker et continue à utiliser la version 1.0.6, TinyMCE ne fonctionne pas et affiche l'erreur suivante dans la console du navigateur :
Code :
Uncaught TypeError : editor.addMenuItem is not a function
    setup https://www.domain.de/tmp/cache/mt_86a5b58a0d02051e5391ef315f38e5e8.js:82


La ligne 82f dit ceci :
Code :
    setup : function(éditeur) {
        editor.addMenuItem('mailto',{
          text : cmsms_tiny.prompt_insertmailto,
          cmd : 'mailto',
          context : 'insert',
        })

si je comprends bien, "editor.addMenuItem" ne devrait plus être créé du tout, n'est-ce pas ?
Mais je ne sais pas où je peux le "désactiver".

Et comment puis-je mettre à jour vers Filepicker version 1.0.7 ?

Je viens de constater que le même phénomène se produit lorsque je passe de "TinyMCE 4.9.11" à "TinyMCE 5.10.9".
Répondre
#61
Citation :Sur mon autre site avec V2.2.18 (officiel), j'ai voulu remplacer le répertoire modules\MicroTiny par la nouvelle version.
Houla non ne pas faire de mélange c'est dangereux la spéciale 2.2.19.b1 est étudiée pour TinyMCE Community 6.7.3, il faut donc tester depuis l'installateur ou la mise à jour de Tom du jour (21 Nov 2023 09:11:21) sinon c'est "explosif" vu les nombreuses modifications des fichiers PHP, JS du core et de TinyMCE Community.

Pour les mises à jour MicroTiny depuis une 2.2.18 faudra suivre le post sur le le forum EN ou j'ai relancé Wink
J-C Etiemble v 2.2.xx
Répondre
#61
Citation :Sur mon autre site avec V2.2.18 (officiel), j'ai voulu remplacer le répertoire modules\MicroTiny par la nouvelle version.
Houla non ne pas faire de mélange c'est dangereux la spéciale 2.2.19.b1 est étudiée pour TinyMCE Community 6.7.3, il faut donc tester depuis l'installateur ou la mise à jour de Tom du jour (21 Nov 2023 09:11:21) sinon c'est "explosif" vu les nombreuses modifications des fichiers PHP, JS du core et de TinyMCE Community.

Pour les mises à jour MicroTiny depuis une 2.2.18 faudra suivre le post sur le le forum EN ou j'ai relancé Wink
J-C Etiemble v 2.2.xx
Répondre
#62
Merci pour la remarque. Je me doutais de quelque chose de ce genre. La version
2.2.19b, il semble qu'il y ait (trop) de dépendances pour qu'il soit possible de le porter à nouveau à la version 2.2.18.

Je préférerais passer directement à la version 2.2.19, car cette version a connu plus d'améliorations en un mois que la version officielle en deux ans.

Cependant, une fois le changement effectué, il ne serait plus possible de revenir en arrière.
Répondre
#62
Merci pour la remarque. Je me doutais de quelque chose de ce genre. La version
2.2.19b, il semble qu'il y ait (trop) de dépendances pour qu'il soit possible de le porter à nouveau à la version 2.2.18.

Je préférerais passer directement à la version 2.2.19, car cette version a connu plus d'améliorations en un mois que la version officielle en deux ans.

Cependant, une fois le changement effectué, il ne serait plus possible de revenir en arrière.
Répondre
#63
Citation :La version2.2.19b, il semble qu'il y ait (trop) de dépendances pour qu'il soit possible de le porter à nouveau à la version 2.2.18.
C'est surtout que sur la version 2.2.19.b1 de Tom tout a été revu pour être compatible PHP 8.1+8.2+8.3 et donc il y a des incompatibilités de faire des "mixtures" avec la version cmsms actuelle 2.2.18 et/ou sûrement la 2.2.19 qui est en cours sur le SVN.
J-C Etiemble v 2.2.xx
Répondre
#63
Citation :La version2.2.19b, il semble qu'il y ait (trop) de dépendances pour qu'il soit possible de le porter à nouveau à la version 2.2.18.
C'est surtout que sur la version 2.2.19.b1 de Tom tout a été revu pour être compatible PHP 8.1+8.2+8.3 et donc il y a des incompatibilités de faire des "mixtures" avec la version cmsms actuelle 2.2.18 et/ou sûrement la 2.2.19 qui est en cours sur le SVN.
J-C Etiemble v 2.2.xx
Répondre
#64
Cela fait 5 mois que cette future version est en développement et tests. de nombreuses améliorations on été apportées et des corrections du code modifiées, il y encore des finitions à faire. Mais la comparaison avec le version 2.2.19 officielle qui vient de sortir montre qu'il y a "Toujours avec plusieurs longueurs d'avance".
J-C Etiemble v 2.2.xx
Répondre
#64
Cela fait 5 mois que cette future version est en développement et tests. de nombreuses améliorations on été apportées et des corrections du code modifiées, il y encore des finitions à faire. Mais la comparaison avec le version 2.2.19 officielle qui vient de sortir montre qu'il y a "Toujours avec plusieurs longueurs d'avance".
J-C Etiemble v 2.2.xx
Répondre
#65
Les dernier fichiers sont pratiquement OK à 99% pour le core et mes modules du core, reste a retester et re-retester Wink

un extrait du CHANGELOG.txt
Various places
- Compatible with PHP 7.1 to 8.3, or 5.6 to 7.4 if Smarty3 is substituted for Smarty4.
- Replaced deprecated Smarty syntax in templates.
- Replaced some of the deprecated jQuery syntax.
- Corrected html errors and inconsistencies.
- Corrected typos.

Core - General
- Corrected filter applied to $_GET, $_SERVER at the start of each request.
- Corrected page-selector widget operation.
- Corrected url/route processing for module actions.
- Corrected SQL prepared-statements failure.
- BR #12657 {content_module} tag property-collision.
- BR #12660 output filter not working.
- BR #12661 page-selector plugin misnamed parameter.
- BR #12662 file picker does not filter archives properly.
- Validate entered bookmark-URLs.
- Include .phar files in executables test.
- Deprecated use of PHP function umask().
- Since CMSMS 2.2, config parameters 'ssl_url','ssl_uploads_url' and 'ssl_image_uploads_url', and methods which use those, have internally but not publicly been flagged as deprecated.
- Added missing nls files, allowing installation of extra translations.
- Smarty upgraded to version 4.3.4.
- Enabled use of PHP function rawurlencode in Smarty templates.
- Added Smarty modifier plugin 'adjust' to handle deprecated modifier-function-calls in templates.
- PHPMailer upgraded to version 6.8.1.
- TinyMCE upgraded to version 6.7.3. => 6.8.1 (05/12/23)
- jQuery upgraded to version 1.12.4.
- jQuery UI upgraded to version 1.12.1 (with previous styling).
- jQuery migrate upgraded to version 1.4.1.

Admin theme
- Corrected content scrolling
....
J-C Etiemble v 2.2.xx
Répondre
#65
Les dernier fichiers sont pratiquement OK à 99% pour le core et mes modules du core, reste a retester et re-retester Wink

un extrait du CHANGELOG.txt
Various places
- Compatible with PHP 7.1 to 8.3, or 5.6 to 7.4 if Smarty3 is substituted for Smarty4.
- Replaced deprecated Smarty syntax in templates.
- Replaced some of the deprecated jQuery syntax.
- Corrected html errors and inconsistencies.
- Corrected typos.

Core - General
- Corrected filter applied to $_GET, $_SERVER at the start of each request.
- Corrected page-selector widget operation.
- Corrected url/route processing for module actions.
- Corrected SQL prepared-statements failure.
- BR #12657 {content_module} tag property-collision.
- BR #12660 output filter not working.
- BR #12661 page-selector plugin misnamed parameter.
- BR #12662 file picker does not filter archives properly.
- Validate entered bookmark-URLs.
- Include .phar files in executables test.
- Deprecated use of PHP function umask().
- Since CMSMS 2.2, config parameters 'ssl_url','ssl_uploads_url' and 'ssl_image_uploads_url', and methods which use those, have internally but not publicly been flagged as deprecated.
- Added missing nls files, allowing installation of extra translations.
- Smarty upgraded to version 4.3.4.
- Enabled use of PHP function rawurlencode in Smarty templates.
- Added Smarty modifier plugin 'adjust' to handle deprecated modifier-function-calls in templates.
- PHPMailer upgraded to version 6.8.1.
- TinyMCE upgraded to version 6.7.3. => 6.8.1 (05/12/23)
- jQuery upgraded to version 1.12.4.
- jQuery UI upgraded to version 1.12.1 (with previous styling).
- jQuery migrate upgraded to version 1.4.1.

Admin theme
- Corrected content scrolling
....
J-C Etiemble v 2.2.xx
Répondre
#66
quel serait un exemple de:

(04/12/2023, 15:25:20)jce76350 a écrit : - Replaced deprecated Smarty syntax in templates.
- Replaced some of the deprecated jQuery syntax.
Répondre
#66
quel serait un exemple de:

(04/12/2023, 15:25:20)jce76350 a écrit : - Replaced deprecated Smarty syntax in templates.
- Replaced some of the deprecated jQuery syntax.
Répondre
#67
>- Replaced deprecated Smarty syntax in templates.
Il y a au moins le problème des "modifier"
sinon regarder le changelog de smarty

>- Replaced some of the deprecated jQuery syntax
faut faire une comparaison du code ancien/nouveau parce moi jQuery c'est pas du tout "ma tasse de thé" du tout

en gros comme je suis pas un DEV je ne regarde dans la code que quand j'ai un doute Wink
J-C Etiemble v 2.2.xx
Répondre
#67
>- Replaced deprecated Smarty syntax in templates.
Il y a au moins le problème des "modifier"
sinon regarder le changelog de smarty

>- Replaced some of the deprecated jQuery syntax
faut faire une comparaison du code ancien/nouveau parce moi jQuery c'est pas du tout "ma tasse de thé" du tout

en gros comme je suis pas un DEV je ne regarde dans la code que quand j'ai un doute Wink
J-C Etiemble v 2.2.xx
Répondre
#68
Ce jour quelques petites modifications sur les plugins cmsms de TinyMCE
J-C Etiemble v 2.2.xx
Répondre
#68
Ce jour quelques petites modifications sur les plugins cmsms de TinyMCE
J-C Etiemble v 2.2.xx
Répondre
#69
Alors un peu de nouvelles pour cette fin d’année 2023
- le modules MicroTiny est repassé en TinyMCE 5.10.9 la version Long Term Support

Car la version 6.x prend un tournure qui pousse vers "the premium" Wink
- il y a donc des bonnes nouvelles et des raisons de suivre cette version 2.2.19#2 avec "Toujours avec plusieurs longueurs d'avance"...
J-C Etiemble v 2.2.xx
Répondre
#69
Alors un peu de nouvelles pour cette fin d’année 2023
- le modules MicroTiny est repassé en TinyMCE 5.10.9 la version Long Term Support

Car la version 6.x prend un tournure qui pousse vers "the premium" Wink
- il y a donc des bonnes nouvelles et des raisons de suivre cette version 2.2.19#2 avec "Toujours avec plusieurs longueurs d'avance"...
J-C Etiemble v 2.2.xx
Répondre
#70
Et pour le début de cette nouvelle année 2024
+ le module Microtiny avec quelques ajouts/améliorations pour le confort de l’utilisateur.
J-C Etiemble v 2.2.xx
Répondre
#70
Et pour le début de cette nouvelle année 2024
+ le module Microtiny avec quelques ajouts/améliorations pour le confort de l’utilisateur.
J-C Etiemble v 2.2.xx
Répondre
#71
Alors pour information, il y encore des corrections qui sont apportées suite au bug trouvé sur la longueur du titre des pages de contenus non reporté dans les logs de l'Administration du Cms.
J-C Etiemble v 2.2.xx
Répondre
#71
Alors pour information, il y encore des corrections qui sont apportées suite au bug trouvé sur la longueur du titre des pages de contenus non reporté dans les logs de l'Administration du Cms.
J-C Etiemble v 2.2.xx
Répondre
#72
Alors la refonte de la gestion des logs de l'Administration du Cms est faite et donne de bons résultats
De plus une nouvelle modification sur le Module Microtiny allège les fichiers.
Toujours plusieurs longueurs d'avance ...
J-C Etiemble v 2.2.xx
Répondre
#72
Alors la refonte de la gestion des logs de l'Administration du Cms est faite et donne de bons résultats
De plus une nouvelle modification sur le Module Microtiny allège les fichiers.
Toujours plusieurs longueurs d'avance ...
J-C Etiemble v 2.2.xx
Répondre
#73
Le temps passe et maintenant la version à évoluer dans le temps avec un paquets d'améliorations.
Toujours plusieurs longueurs d'avance ... surtout quand on voit l'évolution du SVN de la future version stable officielle Wink
J-C Etiemble v 2.2.xx
Répondre
#73
Le temps passe et maintenant la version à évoluer dans le temps avec un paquets d'améliorations.
Toujours plusieurs longueurs d'avance ... surtout quand on voit l'évolution du SVN de la future version stable officielle Wink
J-C Etiemble v 2.2.xx
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)